#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk4'

application = Gtk::Application.new('org.gtk.text_view_example', :flags_none)

application.signal_connect(:activate) { |app|
  win = Gtk::ApplicationWindow.new(app)
  win.title = 'Showcasing Toggle Buttons' 
  win.set_default_size(420, 600)
  
  vbox = Gtk::Box.new(:vertical)
  vbox.append(Gtk::ToggleButton.new(label: '1'))
  vbox.append(Gtk::ToggleButton.new(label: '2'))
  vbox.append(Gtk::ToggleButton.new(label: '3'))

  win.set_child(vbox)
  win.show
}

application.run